Subject: Re: [Bitcoin-development] Bloom bait

From: Gregory Maxwell <[email-masked]>
Date: Fri, 6 Jun 2014 09:58:19 -0700

On Fri, Jun 6, 2014 at 9:46 AM, Peter Todd <[email-masked]> wrote:
> transactions against. Where they differ is that bloom filters has O(n)
> scaling, where n is the size of a block, and prefix filters have O(log n)
> scaling with slightly(1) higher k. Again, if you *don't* use brute forcing
> in conjunction with prefixes they have no different transactional graph
> privacy than bloom filters,

Huh? How are you thinking that something that gets put in transactions
and burned forever into the blockchain that lets you (statically) link
txout ownership is "no different" from something which is shared
directly with a couple peers, potentially peers you trust and which
are run by yourself or your organization?